Bug 975592 - nautilus begins consume 100% CPU
nautilus begins consume 100% CPU
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 16:50 EDT by Mikhail
Modified: 2015-02-17 10:37 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:37:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
htop screenshot (330.95 KB, image/png)
2013-06-18 16:50 EDT, Mikhail
no flags Details
backtrace of nautilus process (4.41 KB, text/plain)
2013-06-18 16:51 EDT, Mikhail
no flags Details
pstack (4.09 KB, text/plain)
2013-07-20 07:36 EDT, Matus Marhefka
no flags Details
ptrace (2.63 KB, text/plain)
2013-07-20 07:37 EDT, Matus Marhefka
no flags Details
file descriptors opened by Nautilus (25.60 KB, text/plain)
2013-07-20 07:41 EDT, Matus Marhefka
no flags Details
yet another backtrace (5.06 KB, text/plain)
2013-08-24 14:16 EDT, Mikhail
no flags Details
htop screenshot with the "no-default-window" parameter (230.79 KB, image/png)
2013-10-16 02:40 EDT, kuteninja
no flags Details

  None (edit)
Description Mikhail 2013-06-18 16:50:52 EDT
Created attachment 762640 [details]
htop screenshot

Description of problem:
nautilus begins consume 100$ CPU

$ rpm -q nautilus
nautilus-3.8.2-1.fc19.i686
Comment 1 Mikhail 2013-06-18 16:51:33 EDT
Created attachment 762641 [details]
backtrace of nautilus process
Comment 2 Mat Booth 2013-06-19 04:51:35 EDT
Reset assignee!
Comment 3 Andre Costa 2013-07-04 16:38:32 EDT
I'm seeing this as well. Exact command consuming CPU is /usr/bin/nautilus--no-default-window (extracted from /proc/<pid>/cmdline). Seems to happen right after first login, logging out and logging back in seems to fix it.
Comment 4 Matus Marhefka 2013-07-20 07:36:30 EDT
Created attachment 776130 [details]
pstack
Comment 5 Matus Marhefka 2013-07-20 07:37:05 EDT
Created attachment 776131 [details]
ptrace
Comment 6 Matus Marhefka 2013-07-20 07:37:25 EDT
I detected the same problem with nautilus in F19 x86_64.
$ rpm -qa nautilus
nautilus-3.8.2-1.fc19.x86_64

The process "/usr/bin/nautilus --no-default-window" is causing constant
CPU usage. I tried to delete ~/.cache/thumbnails and also disabled thumbnails
in Nautilus preferences but it didn't help.
Comment 7 Matus Marhefka 2013-07-20 07:41:50 EDT
Created attachment 776133 [details]
file descriptors opened by Nautilus
Comment 8 Mark Harfouche 2013-07-22 17:09:18 EDT
Could be a duplicate of Bug 836694
Comment 9 Mikhail 2013-08-24 14:16:30 EDT
Created attachment 789899 [details]
yet another backtrace
Comment 10 kuteninja 2013-10-16 02:37:22 EDT
This happens to me as well.

This issue is more severe on netbooks / ultrabooks / notebooks in general, since 100% CPU usage means more power consumption, an increase of fan noise and heat in general which is annoying on the lap and increases the change of hardware getting burnt.

I'm currently using a Dell XPS 13 (regular edition) with Fedora 19 and up to date. It's been almost a few months since this bug has been published... do you have any newer information on the issue?
Comment 11 kuteninja 2013-10-16 02:40:24 EDT
Created attachment 812778 [details]
htop screenshot with the "no-default-window" parameter

It still fails on Fedora 19, kernel 3.11.3-201.fc19.x86_64, nautilus 3.8.2
Comment 12 Fedora End Of Life 2015-01-09 13:28:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:37:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.